Subject: draft-ietf-smime-examples-01.txt question

From: "Alexey Shamov" <[email-masked]>
Date: Sat, 17 Jul 1999 15:35:32 +0300

Hi, all

I've tried to verify RC2 key wrap example from the
draft-ietf-smime-examples-01.txt document. The results I've got were
identical with ones from the document when RC2 effective keylength for KEK
was set to 40. When I tried to set it to 128 results were completely
different (see below).

Alexey

======================================
10.1 Wrapping RC2

This example shows how to wrap an RC2 key.

The CEK to be wrapped is
b70a 25fb c9d8 6a86 050c e0d7 11ea d4d9

The hash of the CEK is
0a6f f19f db40 4988

The random value used is
4845 cce7 fd12 50

The CEK initialization vector is
c7d9 0059 b29e 97f7

The KEK is
fd04 fd08 0607 07fb 0003 feff fd02 fe05

The "Pre Encrypt #1" is
10b7 0a25 fbc9 d86a 8605 0ce0 d711 ead4
d9 4845 cce7 fd12 500a 6ff1 9fdb 4049 88

The "Pre Encrypt #2" is (** different **)
29ca 649e c8db 0886 ae46 67a2 bc3e e467
6621 5aa3 ba3d a0c4 c9c4 5cb1 2a97 5e03
f797 9eb2 5900 d9c7

The wrapped CEK is    (** different **)
f4d8 021c 1ea4 63d2 17a9 eb69 29ff a577
36d3 e203 86c9 0993 835b 4be4 ad8d 8a1b
c63b 25de 2bf7 7993